### org.jfree.layouting.input.style.parser.stylehandler

# Class ListOfConstantsReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.ListOfValuesReadHandler`
  - - `org.jfree.layouting.input.style.parser.stylehandler.ListOfConstantsReadHandler`

Implemented Interfaces:
  CSSValueReadHandler

Known Direct Subclasses:
  BackgroundAttachmentReadHandler, BackgroundClipReadHandler, BackgroundOriginReadHandler, KerningModeReadHandler, TextAutoSpaceReadHandler

`public abstract class ListOfConstantsReadHandler`
`extends ListOfValuesReadHandler`

Creation-Date: 26.11.2005, 19:16:43

Author:
  Thomas Morgner

  ## Constructor Summary

  `ListOfConstantsReadHandler(boolean auto)`

  `ListOfConstantsReadHandler(int maxCount, boolean auto, boolean distinct)`

  ## Method Summary

  `void`

  `addValue(CSSConstant constant)`

  `boolean`

  `isAutoAllowed()`

  `protected CSSValue`

  `parseValue(LexicalUnit value)`

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.ListOfValuesReadHandler

  `createValue`, `getMaxCount`, `isDistinctValues`, `parseValue`

## Constructor Details

### ListOfConstantsReadHandler

    protected ListOfConstantsReadHandler(boolean auto)

### ListOfConstantsReadHandler

    protected ListOfConstantsReadHandler(int maxCount,
                                         boolean auto,
                                         boolean distinct)

## Method Details

### addValue

    public void addValue(CSSConstant constant)

### isAutoAllowed

    public boolean isAutoAllowed()

### parseValue

    protected CSSValue parseValue(LexicalUnit value)

> Overrides:
>   parseValue in interface ListOfValuesReadHandler